audtool playqueue-get-list-position does not return a value

November 14, 2012 00:49 - andrew cooke

Status: Rejected Start date: November 14, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.2.4   

Description

maybe i am misunderstanding how this should work (sorry), but i am seeing no response with:

> DISPLAY=:0.0 audtool playqueue-get-list-position 1

>

 

where i would expect to see the index for the next track that will be played (i have shuffle selected, so cannot simply get the next

song in the playlist).

if i have misunderstood how this works, is there any way to get the next song to be played when shuffling?

i am using audacious 3.2.4-1.13 on opensuse 12.2 (sending music to jack, if it matters).

History

#1 - November 15, 2012 05:51 - John Lindgren

- Status changed from New to Rejected

You've misunderstood how the "play queue" works.  It is a list of tracks that you have explicitly told Audacious to play before continuing to the next

track in the playlist (shuffled or not).  You might think of it as a playlist within a playlist.

There is no way to see in advance what track will be played next on shuffle, since it isn't chosen until the moment it is played.

#2 - November 15, 2012 11:13 - andrew cooke

Ah, OK.  Thanks and sorry for the nuisance.
